All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.services.user
Enum IdentityChangeEvent.Type

    com.sas.services.user.IdentityChangeEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IdentityChangeEvent.Type>

Enclosing class:
  IdentityChangeEvent

    public static enum IdentityChangeEvent.Type

Enum Constant Summary
`ADD`
`REMOVE`

Method Summary
`static IdentityChangeEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IdentityChangeEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### ADD

    public static final IdentityChangeEvent.Type ADD

### REMOVE

    public static final IdentityChangeEvent.Type REMOVE

Method Detail

### values

    public static IdentityChangeEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IdentityChangeEvent.Type c : IdentityChangeEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IdentityChangeEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.